> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slate-labs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Broker Instruments

> List broker-level configuration for all instruments.



## OpenAPI

````yaml /openapi.json get /broker/instruments
openapi: 3.1.0
info:
  title: Slate API
  version: 1.0.0
  description: Trading infrastructure API.
servers:
  - url: https://api.{your-broker}.slate-labs.com
    variables:
      your-broker:
        default: broker
security: []
tags:
  - name: Authentication
  - name: API Tokens
  - name: Customers
  - name: Accounts
  - name: Orders
  - name: Instruments & Groups
  - name: Transactions
  - name: Payments
  - name: Transfers
  - name: Risk
  - name: Workflow & CRM
  - name: Messaging
  - name: Integrations
  - name: Webhooks
  - name: Compliance
  - name: Promo codes
  - name: Reporting
  - name: Audit
  - name: Fraud & moderation
  - name: Broker settings
  - name: Users
  - name: Roles & Teams
  - name: Streams (SSE)
  - name: Simulator
  - name: Observability
  - name: Prop trading
paths:
  /broker/instruments:
    get:
      tags:
        - Instruments & Groups
      summary: List Broker Instruments
      description: List broker-level configuration for all instruments.
      operationId: list_broker_instruments_broker_instruments_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/BrokerInstrumentResponse'
                type: array
                title: Response List Broker Instruments Broker Instruments Get
components:
  schemas:
    BrokerInstrumentResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        instrument_id:
          type: string
          format: uuid
          title: Instrument Id
        symbol:
          type: string
          title: Symbol
        is_enabled:
          type: boolean
          title: Is Enabled
        tradeability:
          anyOf:
            - type: string
            - type: 'null'
          title: Tradeability
        asset_class:
          anyOf:
            - type: string
            - type: 'null'
          title: Asset Class
        stale_threshold_ms:
          anyOf:
            - type: integer
            - type: 'null'
          title: Stale Threshold Ms
        effective_stale_threshold_ms:
          type: integer
          title: Effective Stale Threshold Ms
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
        base_currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Base Currency
        quote_currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Quote Currency
        contract_size:
          anyOf:
            - type: integer
            - type: 'null'
          title: Contract Size
        digits:
          anyOf:
            - type: integer
            - type: 'null'
          title: Digits
        exchange:
          anyOf:
            - type: string
            - type: 'null'
          title: Exchange
        mic_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Mic Code
        provider:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider
        logo_base_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Base Url
        logo_quote_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Quote Url
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        groups_seeded:
          type: integer
          title: Groups Seeded
          default: 0
      type: object
      required:
        - id
        - instrument_id
        - symbol
        - is_enabled
        - tradeability
        - effective_stale_threshold_ms
        - created_at
        - updated_at
      title: BrokerInstrumentResponse

````